bitcain docs
API Reference

Webhooks

Email delivery webhooks - Resend bounce and complaint handling

Resend Webhook

POST
/api/webhooks/resend

Header Parameters

x-resend-signature?|

Resend webhook signature

Request Body

application/json

type*string

Webhook event type

created_at*string

ISO 8601 timestamp

data*

Event data including email metadata

Response Body

application/json

application/json

curl -X POST "https://loading/api/webhooks/resend" \  -H "Content-Type: application/json" \  -d '{    "type": "string",    "created_at": "string",    "data": {}  }'
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Webhooks Health

GET
/api/webhooks/health

Response Body

application/json

curl -X GET "https://loading/api/webhooks/health"
{
  "property1": "string",
  "property2": "string"
}